# $Revision: 1.87 $, $Date: 2012/03/02 21:53:45 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library

%define		subver	rc5
%define		rel		15
Summary:	An ASCII art GFX library
Summary(fr.UTF-8):	Bibliothèque AA (Ascii Art)
Summary(es.UTF-8):	Biblioteca ASCII art
Summary(pl.UTF-8):	Biblioteka graficzna ASCII Art
Summary(pt_BR.UTF-8):	Uma biblioteca para ASCII art
Summary(ru.UTF-8):	Библиотека консольной графики (ASCII Art)
Summary(uk.UTF-8):	Бібліотека консольної графіки (ASCII Art)
Name:		aalib
Version:	1.4
Release:	0.%{subver}.%{rel}
Epoch:		1
License:	LGPL
Group:		Libraries
Source0:	http://downloads.sourceforge.net/aa-project/%{name}-%{version}%{subver}.tar.gz
# Source0-md5:	9801095c42bba12edebd1902bcf0a990
Source1:	%{name}-config.1
Patch0:		%{name}-info.patch
Patch1:		%{name}-debian_man.patch
Patch2:		%{name}-am18.patch
URL:		http://aa-project.sourceforge.net/aalib/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gpm-devel
BuildRequires:	libtool
BuildRequires:	slang-devel >= 2.0.0
BuildRequires:	texinfo
BuildRequires:	xorg-lib-libX11-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
AA-lib is a low level gfx library just as many other libraries are.
The main difference is that AA-lib does not require graphics device.
In fact, there is no graphical output possible. AA-lib replaces those
old-fashioned output methods with powerful ascii-art renderer. Now my
linux boots with a nice penguin logo at secondary display (yes! Like
Win95 does:) AA-lib API is designed to be similar to other graphics
libraries. Learning a new API would be a piece of cake!

%description -l fr.UTF-8
La bibliothèque AA est nécessaire pour GIMP. Elle offre la possibilité
de travailler dans des contextes graphiques sans affichage.

%description -l pl.UTF-8
AA-lib jest niskopoziomową biblioteką graficzną podobnie jak wiele
innych bibliotek. Główna różnica pomiędzy nimi jest taka, że AA-lib
nie wymaga trybu graficznego. Właściwie nie ma możliwości wyświetlenia
czegoś w trybie graficznym. AA-lib zastępuje te staromodne metody
wysoko wydajnym narzędziem do renderowania ascii-art. Teraz mój Linux
startuje z ładnym logo pingwina na drugim monitorze. AA-lib API jest
zaprojektowane tak by być podobnym do innych graficznych bibliotek.
Nauka nowego API będzie bułką z masłem!

%description -l pt_BR.UTF-8
Uma biblioteca para trabalhar com ASCII art.

%description -l ru.UTF-8
AA-lib - это низкоуровневая графическая библиотека. Ее основное
отличие от других графических библиотек в том, что AA-lib не требует
графического устройства. На самом деле, графический (в обычном смысле
этого слова) вывод и невозможен. AA-lib переводит графику в так
называемый ASCII-Art.

%description -l uk.UTF-8
AA-lib - це низькорівнева графічна бібліотека. Головна відмінність її
від інших графічних бібліотек в тому, о AA-lib не потребує графічного
пристрою. Насправді, графічний (в звичному розумінні цього слова)
вивід і неможливий. AA-lib перетворює графіку в так званий ASCII-Art.

%package devel
Summary:	Header files and libraries for aalib
Summary(pl.UTF-8):	Pliki nagłówkowe dla aalib
Summary(ru.UTF-8):	Хедеры для построения программ с AAlib
Summary(uk.UTF-8):	Хедери для побудови програм з AAlib
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	gpm-devel
Requires:	slang-devel
Requires:	xorg-lib-libX11-devel

%description devel
The header files for development of programs using the AAlib.

%description devel -l pl.UTF-8
Pliki nagłówkowe do pisania programów używających AAlib.

%description devel -l ru.UTF-8
Хедеры для построения программ с AAlib.

%description devel -l uk.UTF-8
Хедери для побудови програм з AAlib.

%package static
Summary:	Static aalib library
Summary(pl.UTF-8):	Statyczna biblioteka aalib
Summary(ru.UTF-8):	Статическая библиотека для построения программ с aalib
Summary(uk.UTF-8):	Статична бібліотека для побудови програм з aalib
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static aalib library.

%description static -l pl.UTF-8
Statyczna biblioteka aalib.

%description static -l ru.UTF-8
Статическая библиотека для программирования с aalib.

%description static -l uk.UTF-8
Статична бібліотека для програмування з aalib.

%package progs
Summary:	AA-lib tools
Summary(pl.UTF-8):	Narzędzia AA-lib
Summary(ru.UTF-8):	Утилиты для AA-lib
Summary(uk.UTF-8):	Утиліти для AA-lib
Group:		Applications/Terminal
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description progs
AA-lib tools.

%description progs -l pl.UTF-8
Narzędzia AA-lib.

%description progs -l ru.UTF-8
Утилиты для AA-lib.

%description progs -l uk.UTF-8
Утиліти для AA-lib.

%prep
%setup -q -n %{name}-%{version}.0
%patch0 -p1
%patch1 -p1
%patch2 -p1

# don't include aclocal.m4 from configure.in
tail -n +2 configure.in > c.tmp
mv -f c.tmp configure.in

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -D %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/man1/aalib-config.1

%{__rm} -f $RPM_BUILD_ROOT%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post devel	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun devel	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc README NEWS AUTHORS ANNOUNCE ChangeLog
%attr(755,root,root) %{_libdir}/libaa.so.*.*
%ghost %{_libdir}/libaa.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/aalib-config
%{_libdir}/libaa.so
%{_libdir}/libaa.la
%{_includedir}/*.h
%{_infodir}/*.info*
%{_mandir}/man1/aalib-config.1*
%{_mandir}/man3/*
%{_aclocaldir}/*.m4

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libaa.a
%endif

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/aafire
%attr(755,root,root) %{_bindir}/aainfo
%attr(755,root,root) %{_bindir}/aasavefont
%attr(755,root,root) %{_bindir}/aatest
%{_mandir}/man1/aafire.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: aalib.spec,v $
Revision 1.87  2012/03/02 21:53:45  glen
- package ghost soname symlink

Revision 1.86  2011/01/29 00:06:05  sparky
- dropped pre-cvs changelog

Revision 1.85  2008/11/11 12:05:04  arekm
- release 14

Revision 1.84  2008/08/10 16:36:37  arekm
- release 13

Revision 1.83  2008/07/27 22:19:03  arekm
- release 12

Revision 1.82  2008-01-24 01:36:30  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.81  2007-07-23 17:29:50  witekfl
- added missing #

Revision 1.80  2007/07/21 19:03:24  witekfl
- added bcond_without static_libs

Revision 1.79  2007/05/04 00:07:07  shadzik
- URL

Revision 1.78  2007/02/13 10:56:10  qrczak
- Added epoch in requirements.

Revision 1.77  2007/02/12 21:23:46  glen
- tabs in preamble

Revision 1.76  2007/02/12 00:48:35  baggins
- converted to UTF-8

Revision 1.75  2007/01/27 12:43:12  blekot
- fixed version - release number

Revision 1.74  2006/02/14 18:37:39  qboosh
- sorted BRs

Revision 1.73  2006/02/12 21:08:45  pluto
- xorg modular deps.

Revision 1.72  2005/09/16 07:22:00  arekm
- br for new slang

Revision 1.71  2004/12/20 18:58:07  qboosh
- BR: texinfo

Revision 1.70  2004/12/17 17:56:26  sparky
- Spanish summary/description fixes

Revision 1.69  2004/11/25 19:41:56  qboosh
- strict internal deps, unifications

Revision 1.68  2004/10/24 19:57:19  paladine
- spaces->tabs
- cleanups

Revision 1.67  2004/09/25 11:20:50  radek
- cosmetics (spaces -> tabs)

Revision 1.66  2004/01/28 20:37:20  qboosh
- oops, wrong line count

Revision 1.65  2004/01/28 19:59:14  qboosh
- kill include(aclocal.m4) from configure.in

Revision 1.64  2003/12/17 23:38:54  qboosh
- added am18 patch (aalib.m4 quotation fix), release 9

Revision 1.63  2003/11/25 10:01:21  averne
- r8

Revision 1.62  2003/08/06 16:03:39  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.61  2003/07/06 23:27:15  blues
- many small fixes, mostly inpired by kloczek

Revision 1.60  2003/07/01 10:49:15  qboosh
- moved base docs to base

Revision 1.59  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.58  2003/05/25 05:45:23  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.57  2003/03/16 22:21:27  adamg
- changed source0 url.

Revision 1.56  2002/11/25 14:13:00  ankry
- massive attack: no need for 755 for *.la

Revision 1.55  2002/10/09 13:14:16  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.54  2002/06/23 20:32:20  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.53  2002/05/21 23:12:39  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.52  2002/05/21 14:08:01  qboosh
- removed aalib-config(1) manual from -progs; new %%doc; release 7

Revision 1.51  2002/04/25 15:40:55  arturs
fixed a small typo

Revision 1.50  2002/04/19 23:01:19  ankry
- added aalib-config.1 man page + man patch from Debian
- release 6, STBR

Revision 1.49  2002/03/24 23:28:13  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.48  2002/02/22 23:28:39  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.47  2002/02/12 23:15:13  ankry
- added ru/uk translations from KSI; adapterized
- release 5

Revision 1.46  2002/01/18 02:12:17  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.45  2001/12/14 00:43:45  kloczek
- release 4: merge translations from Conectiva.

Revision 1.44  2001/12/13 21:36:44  qboosh
- adapterized, cosmetics

Revision 1.43  2001/12/11 12:09:52  wrobell
- fixed devel subpackage requirements
- rel. 3, stb

Revision 1.42  2001/07/26 05:42:03  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.40  2001/07/18 03:42:41  kloczek
- spec adapterized.

Revision 1.39  2001/07/15 12:02:12  kloczek
- release 2,
- make spec ac 2.50 ready,
- also rebuild for generate dependeces for gpm-lib.

Revision 1.38  2001/06/03 14:09:08  qboosh
- updated to 1.4rc5, updated URLs
- removed obsolete xref and autoconf patches

Revision 1.37  2001/01/19 01:23:18  kloczek
- release 15,
- regenerate all automake/autoconf/libtool files in %build for correct
  building

Revision 1.36  2000/11/12 20:11:54  kloczek
- modyfications for using neew rpm automation.

Revision 1.35  2000/07/30 08:52:33  kloczek
- spec adapterized.

Revision 1.34  2000/06/13 05:13:23  kloczek
- release 14.

Revision 1.33  2000/06/09 07:54:39  kloczek
- more %%{__make} macros.

Revision 1.32  2000/06/09 07:22:46  kloczek
- added using %%{__make} macro.

Revision 1.31  2000/05/24 16:50:44  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.30  2000/05/17 21:01:20  kloczek
- spec adapterized.

Revision 1.29  2000/05/15 23:05:50  kloczek
- release 13,
- spec adapterized.

Revision 1.28  2000/05/01 20:11:39  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.27  2000/04/01 11:14:22  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.26  2000/03/28 16:54:14  baggins
- translated kloczkish into english

Revision 1.25  1999/11/17 01:45:50  kloczek
- release 12,
- rebuilded against new gpm which is linked with ncurses 5.0.

Revision 1.24  1999/11/15 01:21:41  kura
- cosmetic

Revision 1.23  1999/09/24 18:12:06  kloczek
- added fr translation from Mandrake spec.

Revision 1.22  1999/09/24 10:45:01  pius
- moved running of /usr/sbin/fix-info-dir to %%postun
- release up

Revision 1.21  1999/09/19 09:05:39  pius
- new {un}registering procedure for info pages with using
  /usr/sbin/fix-info-dir,
- standarization to "* text: (link).  description" index info entries format.

Revision 1.20  1999/08/03 22:42:49  kloczek
- release 10,
- added lib*.la files to devel,
- changed permission on lib*.so to 755.

Revision 1.19  1999/07/20 12:48:05  wiget
- switch to rpm 3.0.2

Revision 1.18  1999/07/12 23:05:52  kloczek
- added using CVS keywords in %changelog (for automating them).
